
this.$store.getters.getWS.addEventListener('message', (event) => {
    console.log(event);
    console.log(event.data);


    function snd(msg){
        store.getters.getWS.send(Req.encode(Req.create(msg)).finish());
    }
    message = Resp.decode(new Uint8Array(event.data), event.data.length);
    console.log(message);
    //"Chargement d'image" -> "Génération de donnée" -> "Lancer une classification simple utilisant KMeans"
    switch (message.header){
        case 42:
            uid = message.responseClientBody.clientID;
            //Message pour open image
            msg = {
                imageOpenRequest:{
                    base64File: file,
                    checksum: "0333ff8c224366dac05ba154f2c6e4d9",
                    isLaunchOrthoRect: false,
                    fileName: "070992.tif",
                    overWrite: true
                },
                clientId: uid,
                header: 20
            };

            this.$store.getters.getWS.send(Req.encode(Req.create(msg)).finish()); break;
        case 16: //OPEN_IMAGE_RESPONSE
            result = message.imageOpenResp.idData;
            console.log(result); //0
            var ior = {
                base64File: null,
                checksum: "0333ff8c224366dac05ba154f2c6e4d9",
                isLaunchOrthoRect: false,
                fileName: "070992.tif",
                overWrite: false
            };
            start = Date.now();
            console.log('status : ', message.status);
            switch(message.status){
                case 3:
                    result = message.imageOpenResp.idData;
                    console.log('result : ',result) //0
                    console.log({
                        clientId: uid,
                        header: 21, //GET_IMAGE_INTERFACE
                        imageInterfaceRequest : {
                            idMessage: "0",
                            doRescale: false,
                        }});
                    snd({
                        clientId: uid,
                        header: 21, //GET_IMAGE_INTERFACE
                        imageInterfaceRequest : {
                            idMessage: result,
                            doRescale: false,
                        }
                    });
                    break;
                case 2:
                    result = message.imageOpenResp.idData;
                    console.log(result); //0
                    snd({
                        clientId: uid,
                        header: 21, //GET_IMAGE_INTERFACE
                        imageInterfaceRequest : {
                            idMessage: result,
                            doRescale: false,
                        }
                    });
                    break;
                case 5:
                    result = message.imageOpenResp.idData;
                    ior.overWrite = true;
                    snd(ior);
                    break;
                case 4:
                    result = message.imageOpenResp.idData;
                    ior.base64File = file;
                    snd(ior);
                    break;
                case 7:
                    result = message.imageOpenResp.idData;
                    snd(ior);
                    break;
                default:
                    snd({
                        clientId: uid, header: 20, //OPEN_IMAGE
                        imageOpenRequest: ior
                    });
                    break;
            } break;
        case 17: //IMAGE_INTERFACE
            snd({
                bufferedImageRequest:{
                    idMessage: result,
                    doRescale: false
                },
                clientId: uid,
                header: 22 //GET_BUFFER_IMAGE
            });
            break;
        // BUFFERED_IMAGE
        case 18:
            this.$store.getters.getBase64 = message.bufferedImageResp.base64File;
            if (!second)
                snd({
                    dataImageRequest:{
                        images: result2,
                        mask: [
                            {path:"."}
                        ],
                        samplingMethod: 1,
                        paramSamplingMethode: 4.0,
                        idPercentage: 5,
                        nameData: ""
                    },
                    clientId: uid,
                    header: 23 //CREATE_DATA_IMAGE
                });
            else
                /*MONO_STRATEGY_APPROACH 			= 1;
                MULTI_STRATEGY_APPROACH 		= 2;
                MULTI_STRATEGY_ETC_APPROACH 	= 3;
                MACLAW_APPROACH 				= 4;
                VOTING_APPROACH 				= 5;
                MULTIRESOLUTION_APPROACH 		= 6;
                IMPORT_APPROACH 				= 7;*/
                snd({
                    rootClassificationRequest:{
                        idClassif: 1
                    },
                    clientId: uid,
                    header: 18 //GET_ROOT_CLASSIFICATION
                });
            break;
        //DATA_IMAGE
        case 19:
            snd({
                dataInterfaceRequest:{
                    id: message.dataImageResp.dataImageId
                },
                clientId: uid,
                header: 1
            });break;
        // create classification
        case 3:

            //mcb.IDData;
            //mcb.b64DataInterface;
            //mcb.dataInterface;
            snd({
                classificationRequest:{
                    idData: message.dataInterfaceResp.IDData,
                    classification: {
                        isHybrid: false,
                        isMaclaw: false,
                        idData: message.dataInterfaceResp.IDData,
                        choiceApproch: 1,
                        distanceUse: 1,
                        type: "utils.ParamClassifSimple",
                        selectedMethod: "0",
                        paramClustering: [
                            10.0,
                            10.0
                        ],
                        weightsParam: [
                            1.0,
                            1.0,
                            1.0
                        ],
                        hClustering: false
                    }
                },
                clientId: uid,
                header: 2
            });break;
        case 6:
            //mcb.code;
            currentClassifID = message.classificationResp.code;
            snd({
                finishRequest:{
                    idClassif: String(message.classificationResp.code)
                },
                clientId: uid,
                header: 15
            });break;
        case 12:
            //mcb.finish
            if (message.finishResp.finish!='100') {
                snd({
                    finishRequest:{
                        idClassif: String(currentClassifID)
                    },
                    clientId: uid,
                    header: 15
                });break;
            }
            snd({
                resultClassificationRequest:{
                    idClassif: String(currentClassifID)
                },
                clientId: uid,
                header: 9
            });break;
        case 7:
            //mcb.resultClassification
            second = true;
            result2.push(message.resultClassificationResp.imageInterf);
            snd({
                bufferedImageRequest:{
                    idMessage: result,
                    doRescale: false
                },
                clientId: uid,
                header: 22
            });
            break;
        case 15:console.log( Date.now() - start);break;
        default: break;
    }
});